<?php
session_start();
$ruta="../../";
include_once($ruta."class/persona.php");
$persona=new persona;
include_once($ruta."class/domicilio.php");
$domicilio=new domicilio;
include_once($ruta."class/personagrupo.php");
$personagrupo=new personagrupo;
include_once($ruta."funciones/funciones.php");
extract($_POST);

if ($idflag==1) 
{
	$existe=$persona->mostrarTodo("carnet='".$idcarnet."'");
	$idnombre=strtoupper($idnombre);
	$idpaterno=strtoupper($idpaterno);
	$idmaterno=strtoupper($idmaterno);
	$idocupacion=strtoupper($idocupacion);
	if (count($existe)==0){
		$valores=array(
			"carnet"=>"'$idcarnet'",
			"expedido"=>"'$idexp'",
			"nombre"=>"'$idnombre'",
			"paterno"=>"'$idpaterno'",
			"materno"=>"'$idmaterno'",
			"nacimiento"=>"'$idnacimiento'",
			"email"=>"'$idemail'",
			"celular"=>"'$idcelular'",
			"idsexo"=>"'$idsexo'",
			"ocupacion"=>"'$idocupacion'",
			"tipopersona"=>"'CLIENTE'"
		 );	
		if($persona->insertar($valores))
		{
			$dpersona=$persona->mostrarUltimo("carnet='".$idcarnet."'");
			$idp=$dpersona['idpersona'];

			$valoresD=array(
			    "idpersona"=>"'$idp'",
			    "idbarrio"=>"'$idzona'",
			    "nombre"=>"'$iddireccion'",
			    "telefono"=>"'$idfono'"
			  ); 
					if($domicilio->insertar($valoresD))
					{
									$valorGru=array(
												    "idpersona"=>"'$idp'",
												    "idgrupo"=>"'$idgrupo1'",
												    "estado"=>"'1'"
												  ); 
								if($personagrupo->insertar($valorGru))
								{
									?>
										<script type="text/javascript">
										swal({
											title: "Exito !!!",
											text: "Asignado correctamente al grupo",
											type: "success",
											showCancelButton: false,
											confirmButtonColor: "#28e29e",
											confirmButtonText: "OK",
											closeOnConfirm: false
								          }, function () {
											location.reload();
								          });
										</script>
									<?php
								}else{
										sweetAlert("Error", "NO SE REGISTRO", "error");

								}
						}else{
							?>
								<script type="text/javascript">
									sweetAlert("Error", "No registrado", "error");
								</script>
							<?php
						}

			
		}else{
			?>
				<script type="text/javascript">
					sweetAlert("Error", "No se pudo realizar la operacion", "error");
				</script>
			<?php
		 }
	 }else{
		?>
			<script type="text/javascript">
				sweetAlert("Error", "La persona ya se encuentra registrada!", "error");
			</script>
		<?php
	}
}
if ($idflag==2) 
{
	$valorGru=array(
				    "idpersona"=>"'$idpersonaImp'",
				    "idgrupo"=>"'$idgrupo1'",
				    "estado"=>"'1'"
				  ); 
	if($personagrupo->insertar($valorGru))
	{
		?>
			<script type="text/javascript">
			swal({
				title: "Exito !!!",
				text: "Asignado correctamente al grupo",
				type: "success",
				showCancelButton: false,
				confirmButtonColor: "#28e29e",
				confirmButtonText: "OK",
				closeOnConfirm: false
	          }, function () {
				location.reload();
	          });
			</script>
		<?php
	}else{
			sweetAlert("Error", "NO SE REGISTRO", "error");

	}
}

?>